      SUBROUTINE PHTRAN(I,J,K,TCH1,TCH2,TCH3,TCH4,TCH5,NPTSP)
      IMPLICIT REAL*8 (A-H,O-Z)
      COMMON/MN/AM(10),BM(10),CM(10),DM(10),EM(10),HM(10),SM(10),
     1GM(10),HMPT(10),SMPT(10),GMPT(10),VOLM(10),CPPT(10)
      COMMON/TRAN/AT1(10),BT1(10),CT1(10),DT1(10),ET1(10),
     1HT1(10),TT1(10),VT1(10),AT2(10),BT2(10),CT2(10),DT2(10),ET2(10),
     2HT2(10),TT2(10),VT2(10),AT3(10),BT3(10),CT3(10),DT3(10),ET3(10),
     3HT3(10),TT3(10),VT3(10),AT4(10),BT4(10),CT4(10),DT4(10),ET4(10),
     4HT4(10),TT4(10),VT4(10),AT5(10),BT5(10),CT5(10),DT5(10),ET5(10),
     5HT5(10),TT5(10),VT5(10),
     6NOTR(10),NINI(20),NTR,SLOPE(10,10),VRFTR(10)
      COMMON/COND/P,TC,TK
      COMMON/CP/NOCP
      COMMON/DEX/IND(20),CPLIM(20),MIND(10),IIND(10),IGND(5)
      COMMON/BUG/IBUG
      IF(IBUG.EQ.1) WRITE(*,*) ' ENTERING PHTRAN'
C     CALCULATE HEATS AND PRESSURE OF TRANSITION IF NEEDED
      PR=1.0
      TR=298.15
      TKSAVE=TC+273.15
      CONST=.023901488
      IF(NPTSP.NE.2.AND.NPTSP.NE.6) GO TO 612
      PFLIP1=(TK-TT1(K))*(P-PR)/(TCH1-TT1(K))
      HEAT1=HT1(K)*(1.0-TK/TT1(K))
  612 CONTINUE
      IF(NPTSP.NE.5.AND.NPTSP.NE.6.AND.NPTSP.NE.9)  GO TO 613
      PFLIP2=(TK-TT2(K))*(P-PR)/(TCH2-TT2(K))
      HEAT2=HT2(K)*(1.0-TK/TT2(K))
  613 CONTINUE
      IF(NPTSP.NE.8.AND.NPTSP.NE.9.AND.NPTSP.NE.12)  GO TO 700
      PFLIP3=(TK-TT3(K))*(P-PR)/(TCH3-TT3(K))
      HEAT3=HT3(K)*(1.0-TK/TT3(K))
  700 CONTINUE
      IF(NPTSP.NE.11.AND.NPTSP.NE.12.AND.NPTSP.NE.15)  GO TO 701
      PFLIP4=(TK-TT4(K))*(P-PR)/(TCH4-TT4(K))
      HEAT4=HT4(K)*(1.0-TK/TT4(K))
  701 CONTINUE
      IF(NPTSP.NE.14.AND.NPTSP.NE.15)  GO TO 702
      PFLIP5=(TK-TT5(K))*(P-PR)/(TCH5-TT5(K))
      HEAT5=HT5(K)*(1.0-TK/TT5(K))
  702 CONTINUE
      C=VOLM(J)*(P-PR)*0.023901488
      CC=0.0
C
C     VOLUME CONTRIBUTIONS FOR ALL TRANS ADDED IN HERE
C
      IF(NPTSP.EQ.2)  CC=VT1(K)*(PFLIP1-PR)*CONST
      IF(NPTSP.EQ.3)  CC=VT1(K)*(P-PR)*CONST
      IF(NPTSP.EQ.4) CC=(VT1(K)+VT2(K))*(P-PR)*CONST
      IF(NPTSP.EQ.5)  CC=(VT2(K)*(PFLIP2-PR)+VT1(K)*(P-PR))*CONST
      IF(NPTSP.EQ.6)  CC=(VT1(K)*(PFLIP1-PR)+VT2(K)*(PFLIP2-PR))*CONST
      IF(NPTSP.EQ.7)  CC=(VT1(K)+VT2(K)+VT3(K))*(P-PR)*CONST
      IF(NPTSP.EQ.8)  CC=(VT3(K)*(PFLIP3-PR)+(VT1(K)+VT2(K))*(P-PR))*
     A CONST
      IF(NPTSP.EQ.9)  CC=(VT3(K)*(PFLIP3-PR)+VT2(K)*(PFLIP2-PR)+VT1(K)*
     A (P-PR))*CONST
      IF(NPTSP.EQ.10)  CC=(VT1(K)+VT2(K)+VT3(K)+VT4(K))*(P-PR)*CONST
      IF(NPTSP.EQ.11) CC=(VT4(K)*(PFLIP4-PR)+(VT1(K)+VT2(K)+VT3(K))*
     A(P-PR))*CONST
      IF(NPTSP.EQ.12)  CC=(VT4(K)*(PFLIP4-PR)+VT3(K)*(PFLIP3-PR)+
     A (VT1(K)+VT2(K))*(P-PR))*CONST
      IF(NPTSP.EQ.13)  CC=(VT1(K)+VT2(K)+VT3(K)+VT4(K)+VT5(K))*(P-PR)*
     A CONST
      IF(NPTSP.EQ.14)  CC=(VT5(K)*(PFLIP5-PR)+(VT1(K)+VT2(K)+VT3(K)+
     A VT4(K))*(P-PR))*CONST
      IF(NPTSP.EQ.15)  CC=(VT5(K)*(PFLIP5-PR)+VT4(K)*(PFLIP4-PR)+
     A (VT3(K)+VT2(K)+VT1(K))*(P-PR))*CONST
C
      IF(IND(I).NE.1505) GO TO 9669
9668  IF(NPTSP.EQ.2)CC=1.032*(PFLIP1-PR)*CONST
      IF(NPTSP.EQ.3)CC=1.032*(P-PR)*CONST
9669  IF(IND(I).NE.1557.OR.NPTSP.NE.3) GO TO 9440
9439  REX=38.5*(TK-848.)+1.
      IF(P.EQ.REX.OR.P.LT.REX)CC=1.032*(P-PR)*CONST
      IF(P.GT.REX)CC=1.032*(REX-PR)*CONST
9440  CONTINUE
      IF(NPTSP.GE.4)  GO TO 200
      CCD=-TK*HT1(K)/TT1(K)
C     ------------------------------------------------------------------
C     FIND VALUES IN FIRST TRANSITION TEMP RANGE
C     ------------------------------------------------------------------
      STNT1=HT1(K)/TT1(K)*(TK-TT1(K))
      IF(IND(I).NE.1557) GO TO 9714
9713  STNT1=290./848.*(TK-TT1(K))
      HEAT1=-(290./848.)*TK+290.
      IF(P.GT.REX) STNT1=0.0
9714  CONTINUE
      TEMP1=HFUN(AM(J),BM(J),CM(J),DM(J),EM(J),TR,TT1(K))
      TEMP2=HFUN(AT1(K),BT1(K),CT1(K),DT1(K),ET1(K),TT1(K),TK)
      TEMP3=SFUN(AM(J),BM(J),CM(J),DM(J),EM(J),TR,TT1(K))
      TEMP4=SFUN(AT1(K),BT1(K),CT1(K),DT1(K),ET1(K),TT1(K),TK)
      GMPT(J)=GM(J)+TEMP1+TEMP2-TK*(TEMP3+TEMP4)+C+CC-SM(J)*(TK-TR)
     1     -STNT1
      IF(NPTSP.EQ.2) GMPT(J)=GMPT(J)+HEAT1-HT1(K)+TK*HT1(K)/TT1(K)
      IF(IND(I).NE.1557) GO TO 5556
5555  IF(P.LE.REX) GO TO 5566
5565  GMPT(J)=GMPT(J)+HEAT1
5556  CONTINUE
5566  CONTINUE
C
      HMPT(J)=HM(J)+TEMP1+TEMP2+C+CC+HT1(K)
      SMPT(J)=SM(J)+TEMP3+TEMP4+HT1(K)/TT1(K)
      IF(NPTSP.EQ.2)SMPT(J)=SMPT(J)-HT1(K)/TT1(K)
      CPPT(J)=CPFUN(AT1(K),BT1(K),CT1(K),DT1(K),ET1(K),0.0,TK)
      IF(IND(I).EQ.1557) HMPT(J)=HMPT(J)+290.
      IF(IND(I).EQ.1557.AND.P.LT.REX)SMPT(J)=SMPT(J)+290./848.
      IF(NPTSP.EQ.2.OR.NPTSP.EQ.6) GO TO 15
      VOLM(J)=VRFTR(K)+VT1(K)
      IF(IND(I).EQ.1505.OR.IND(I).EQ.1557) VOLM(J)=VRFTR(K) + 1.032
      GO TO 16
   15 CONTINUE
      VOLM(J)=VRFTR(K)
      HMPT(J)=HMPT(J)+CCD
   16 CONTINUE
      IF(IND(I).NE.1557) GO TO 7710
8333  IF(REX.GE.P) GO TO 6934
8339  XP=REX
      VOLM(J)=VRFTR(K)
      HMPT(J)=HMPT(J)-290.*TK/848.
      GO TO 6933
7710  IF(NPTSP.NE.2.OR.IND(I).NE.1505) GO TO 6934
7933  XP = PFLIP1
6933  BA = 25.3638
      CA = 549.82
      DA = 1./38.5
      EA = TK - TR
      XHOLE = BA*EA*(DLOG((CA+DA*P)/(CA+DA*XP)))*CONST
      YHOLE = -(BA*(DLOG((CA+DA*P)/(CA+DA*XP))))*CONST
      ZHOLE = (0.6588*EA)/(848.-TR+DA*(P-PR))
      GMPT(J) = GMPT(J) + XHOLE
      SMPT(J) = SMPT(J) + YHOLE
      HMPT(J) = HMPT(J) + XHOLE + (TK*YHOLE)
      VOLM(J) = VOLM(J) + ZHOLE
      CTRR = -.00004973
      CCCC = -CTRR*EA
      XMM=CTRR*((TK-TR)/DA)
      IF(TK.NE.TR.AND.P.NE.PR.AND.P.NE.XP) GO TO 8322
8321  SAMP=0.0
      VAMP=0.0
      PAMP = 0.0
      YDER=0.0
      IF(TK.EQ.TR)YDER=(-CTRR/DA)*(DLOG((CA+DA*P)/(CA+DA*XP)))*CONST
      XDER=0.0
      IF(TK.EQ.TR)XDER=( CTRR/(DA*DA))*(DA*(P-XP)-CA*(DLOG((CA+DA*P)/(CA
     A+DA*XP))))*CONST
      IF(P.NE.XP) THEN
           GO TO 8888
      ELSE
           GO TO 9999
      END IF
8322  PAMP = (XMM*(DLOG((CA+DA*P)/(CA+DA*XP))))*CONST
      VAMP = (CCCC/(DA*DA))*(DA*(P-XP)-CA*(DLOG((CA+DA*P)/(CA+DA*XP))))
     A*CONST
      XDER = -VAMP/EA
      YDER = -PAMP/EA
9999  SAMP = -((CTRR*(P-PR)*EA)/(848.-TR+DA*(P-PR))) + CTRR*(P-PR)
8888  CONTINUE
      IF(TK.EQ.TR)SAMP=CTRR*(P-PR)
      DAMP=(CTRR*((P-XP)+0.5*((P**2.0)-(XP**2.0))))*CONST
      GMPT(J) = GMPT(J) + PAMP + VAMP + DAMP
      SMPT(J) = SMPT(J) + XDER + YDER
      HMPT(J) = HMPT(J) + PAMP + VAMP + DAMP +(TK*(XDER + YDER))
      VOLM(J) = VOLM(J) + SAMP
6934  CONTINUE
      GO TO 40
C     ------------------------------------------------------------------
C     FIND VALUES IN SECOND TRANSITION RANGE
C     ------------------------------------------------------------------
  200 CONTINUE
      TTK=TK
      IF(NPTSP.GE.7)  GO TO 201
      S14=(HT1(K)/TT1(K))*(TK-TT1(K))
      S15=(HT2(K)/TT2(K))*(TK-TT2(K))
      TEMP1=HFUN(AM(J),BM(J),CM(J),DM(J),EM(J),TR,TT1(K))
      TEMP2=HFUN(AT1(K),BT1(K),CT1(K),DT1(K),ET1(K),TT1(K),TT2(K))
      TEMP3=HFUN(AT2(K),BT2(K),CT2(K),DT2(K),ET2(K),TT2(K),TK)
      TEMP4=SFUN(AM(J),BM(J),CM(J),DM(J),EM(J),TR,TT1(K))
      TEMP5=SFUN(AT1(K),BT1(K),CT1(K),DT1(K),ET1(K),TT1(K),TT2(K))
      TEMP6=SFUN(AT2(K),BT2(K),CT2(K),DT2(K),ET2(K),TT2(K),TK)
      GMPT(J)=GM(J)+C+CC+TEMP1+TEMP2+TEMP3-SM(J)*(TK-TR)-TK*(TEMP4
     1   +TEMP5+TEMP6)-S14-S15
      IF(NPTSP.EQ.6) GMPT(J)=GMPT(J)+HEAT1+HEAT2-HT1(K)-HT2(K)
     A+TK*HT1(K)/TT1(K)+TK*HT2(K)/TT2(K)
      IF(NPTSP.EQ.5) GMPT(J)=GMPT(J)+HEAT2-HT2(K)+TK*HT2(K)/TT2(K)
      HMPT(J)=HM(J)+C+CC+TEMP1+TEMP2+TEMP3
      IF(NPTSP.EQ.4) HMPT(J)=HMPT(J)+HT1(K)+HT2(K)
      IF(NPTSP.EQ.6)  HMPT(J)=HMPT(J)+HEAT1+HEAT2
      IF(NPTSP.EQ.5) HMPT(J)=HMPT(J)+HEAT2+HT1(K)
      SMPT(J)=SM(J)+TEMP4+TEMP5+TEMP6+HT1(K)/TT1(K)+HT2(K)/TT2(K)
      IF(NPTSP.EQ.5)SMPT(J)=SMPT(J)-HT2(K)/TT2(K)
      IF(NPTSP.EQ.6) SMPT(J)=SMPT(J)-HT1(K)/TT1(K)-HT2(K)/TT2(K)
      VOLM(J)=VRFTR(K)+VT1(K)+VT2(K)
      IF(NPTSP.EQ.5)  VOLM(J)=VRFTR(K)+VT1(K)
      IF(NPTSP.EQ.6)  VOLM(J)=VRFTR(K)
      CPPT(J)=AT2(K)+BT2(K)*TTK+CT2(K)/TTK**2.0
      CPPT(J)=CPFUN(AT2(K),BT2(K),CT2(K),DT2(K),ET2(K),0.0,TTK)
      GO TO 40
  201 CONTINUE
      IF(NPTSP.GE.10)  GO TO 202
C     ------------------------------------------------------------------
C     FIND VALUES IN THIRD TRANSITION RANGE
C     ------------------------------------------------------------------
      S14=(HT1(K)/TT1(K))*(TK-TT1(K))
      S15=(HT2(K)/TT2(K))*(TK-TT2(K))
      S16=(HT3(K)/TT3(K))*(TK-TT3(K))
      TEMP1=HFUN(AM(J),BM(J),CM(J),DM(J),EM(J),TR,TT1(K))
      TEMP2=HFUN(AT1(K),BT1(K),CT1(K),DT1(K),ET1(K),TT1(K),TT2(K))
      TEMP3=HFUN(AT2(K),BT2(K),CT2(K),DT2(K),ET2(K),TT2(K),TT3(K))
      TEMP4=HFUN(AT3(K),BT3(K),CT3(K),DT3(K),ET3(K),TT3(K),TK)
      TEMP5=SFUN(AM(J),BM(J),CM(J),DM(J),EM(J),TR,TT1(K))
      TEMP6=SFUN(AT1(K),BT1(K),CT1(K),DT1(K),ET1(K),TT1(K),TT2(K))
      TEMP7=SFUN(AT2(K),BT2(K),CT2(K),DT2(K),ET2(K),TT2(K),TT3(K))
      TEMP8=SFUN(AT3(K),BT3(K),CT3(K),DT3(K),ET3(K),TT3(K),TK)
      GMPT(J)=GM(J)+C+CC+TEMP1+TEMP2+TEMP3+TEMP4-SM(J)*(TK-TR)-TK*
     1(TEMP5+TEMP6+TEMP7+TEMP8)-S14-S15-S16
      IF(NPTSP.EQ.9) GMPT(J)=GMPT(J)+HEAT2+HEAT3-HT2(K)-HT3(K)
     A+TK*HT3(K)/TT3(K)+TK*HT2(K)/TT2(K)
      IF(NPTSP.EQ.8) GMPT(J)=GMPT(J)+HEAT3-HT3(K)+TK*HT3(K)/TT3(K)
      HMPT(J)=HM(J)+TEMP1+TEMP2+TEMP3+TEMP4+C+CC
      IF(NPTSP.EQ.7) HMPT(J)=HMPT(J)+HT1(K)+HT2(K)+HT3(K)
      IF(NPTSP.EQ.9) HMPT(J)=HMPT(J)+HEAT2+HEAT3+HT1(K)
      IF(NPTSP.EQ.8) HMPT(J)=HMPT(J)+HEAT3+HT1(K)+HT2(K)
      SMPT(J)=SM(J)+TEMP5+TEMP6+TEMP7+TEMP8+HT1(K)/TT1(K)
     1     +HT2(K)/TT2(K)+HT3(K)/TT3(K)
      IF(NPTSP.EQ.8)SMPT(J)=SMPT(J)-HT3(K)/TT3(K)
      IF(NPTSP.EQ.9)SMPT(J)=SMPT(J)-HT3(K)/TT3(K)-HT2(K)/TT2(K)
      VOLM(J)=VRFTR(K)+VT1(K)+VT2(K)+VT3(K)
      IF(NPTSP.EQ.8) VOLM(J)=VRFTR(K)+VT1(K)+VT2(K)
      IF(NPTSP.EQ.9)  VOLM(J)=VRFTR(K)+VT1(K)
      CPPT(J)=CPFUN(AT3(K),BT3(K),CT3(K),DT3(K),ET3(K),0.0,TK)
      GO TO 40
  202 CONTINUE
      IF(NPTSP.GE.13)  GO TO 203
C     ------------------------------------------------------------------
C     FIND VALUES IN FOURTH TRANSITION RANGE
C     ------------------------------------------------------------------
      S14=(HT1(K)/TT1(K))*(TK-TT1(K))
      S15=(HT2(K)/TT2(K))*(TK-TT2(K))
      S16=(HT3(K)/TT3(K))*(TK-TT3(K))
      S17=(HT4(K)/TT4(K))*(TK-TT4(K))
      TEMP1=HFUN(AM(J),BM(J),CM(J),DM(J),EM(J),TR,TT1(K))
      TEMP2=HFUN(AT1(K),BT1(K),CT1(K),DT1(K),ET1(K),TT1(K),TT2(K))
      TEMP3=HFUN(AT2(K),BT2(K),CT2(K),DT2(K),ET2(K),TT2(K),TT3(K))
      TEMP4=HFUN(AT3(K),BT3(K),CT3(K),DT3(K),ET3(K),TT3(K),TT4(K))
      TEMP5=HFUN(AT4(K),BT4(K),CT4(K),DT4(K),ET4(K),TT4(K),TK)
      TEMP6=SFUN(AM(J),BM(J),CM(J),DM(J),EM(J),TR,TT1(K))
      TEMP7=SFUN(AT1(K),BT1(K),CT1(K),DT1(K),ET1(K),TT1(K),TT2(K))
      TEMP8=SFUN(AT2(K),BT2(K),CT2(K),DT2(K),ET2(K),TT2(K),TT3(K))
      TEMP9=SFUN(AT3(K),BT3(K),CT3(K),DT3(K),ET3(K),TT3(K),TT4(K))
      TEMP10=SFUN(AT4(K),BT4(K),CT4(K),DT4(K),ET4(K),TT4(K),TK)
      GMPT(J)=GM(J)+C+CC+TEMP1+TEMP2+TEMP3+TEMP4+TEMP5-SM(J)*(TK-TR)
     1-TK*(TEMP6+TEMP7+TEMP8+TEMP9+TEMP10)-S14-S15-S16-S17
      IF(NPTSP.EQ.12) GMPT(J)=GMPT(J)+HEAT3+HEAT4-HT3(K)-HT4(K)
     A+TK*HT4(K)/TT4(K)+TK*HT3(K)/TT3(K)
      IF(NPTSP.EQ.11) GMPT(J)=GMPT(J)+HEAT4-HT4(K)+TK*HT4(K)/TT4(K)
      HMPT(J)=HM(J)+C+CC+TEMP1+TEMP2+TEMP3+TEMP4+TEMP5
      IF(NPTSP.EQ.10) HMPT(J)=HMPT(J)+HT1(K)+HT2(K)+HT3(K)+HT4(K)
      IF(NPTSP.EQ.11) HMPT(J)=HMPT(J)+HEAT4+HT1(K)+HT2(K)+HT3(K)
      IF(NPTSP.EQ.12) HMPT(J)=HMPT(J)+HEAT3+HEAT4+HT1(K)+HT2(K)
      SMPT(J)=SM(J)+TEMP6+TEMP7+TEMP8+TEMP9+TEMP10+HT1(K)/TT1(K)
     1     +HT2(K)/TT2(K)+HT3(K)/TT3(K)+HT4(K)/TT4(K)
      IF(NPTSP.EQ.12)SMPT(J)=SMPT(J)-HT4(K)/TT4(K)-HT3(K)/TT3(K)
      IF(NPTSP.EQ.11)SMPT(J)=SMPT(J)-HT4(K)/TT4(K)
      VOLM(J)=VRFTR(K)+VT1(K)+VT2(K)+VT3(K)+VT4(K)
      IF(NPTSP.EQ.11) VOLM(J)=VRFTR(K)+VT1(K)+VT2(K)+VT3(K)
      IF(NPTSP.EQ.12)  VOLM(J)=VRFTR(K)+VT1(K)+VT2(K)
      CPPT(J)=CPFUN(AT4(K),BT4(K),CT4(K),DT4(K),ET4(K),0.0,TTK)
      GO TO 40
  203 CONTINUE
C     ------------------------------------------------------------------
CC    FIND VALUES IN FIFTH TRANSITION RANGE
CC    ------------------------------------------------------------------
      S14=(HT1(K)/TT1(K))*(TK-TT1(K))
      S15=(HT2(K)/TT2(K))*(TK-TT2(K))
      S16=(HT3(K)/TT3(K))*(TK-TT3(K))
      S17=(HT4(K)/TT4(K))*(TK-TT4(K))
      S18=(HT5(K)/TT5(K))*(TK-TT5(K))
      TEMP1=HFUN(AM(J),BM(J),CM(J),DM(J),EM(J),TR,TT1(K))
      TEMP2=HFUN(AT1(K),BT1(K),CT1(K),DT1(K),ET1(K),TT1(K),TT2(K))
      TEMP3=HFUN(AT2(K),BT2(K),CT2(K),DT2(K),ET2(K),TT2(K),TT3(K))
      TEMP4=HFUN(AT3(K),BT3(K),CT3(K),DT3(K),ET3(K),TT3(K),TT4(K))
      TEMP5=HFUN(AT4(K),BT4(K),CT4(K),DT4(K),ET4(K),TT4(K),TT5(K))
      TEMP6=HFUN(AT5(K),BT5(K),CT5(K),DT5(K),ET5(K),TT5(K),TK)
      TEMP7=SFUN(AM(J),BM(J),CM(J),DM(J),EM(J),TR,TT1(K))
      TEMP8=SFUN(AT1(K),BT1(K),CT1(K),DT1(K),ET1(K),TT1(K),TT2(K))
      TEMP9=SFUN(AT2(K),BT2(K),CT2(K),DT2(K),ET2(K),TT2(K),TT3(K))
      TEMP10=SFUN(AT3(K),BT3(K),CT3(K),DT3(K),ET3(K),TT3(K),TT4(K))
      TEMP11=SFUN(AT4(K),BT4(K),CT4(K),DT4(K),ET4(K),TT4(K),TT5(K))
      TEMP12=SFUN(AT5(K),BT5(K),CT5(K),DT5(K),ET5(K),TT5(K),TK)
      GMPT(J)=GM(J)+C+CC+TEMP1+TEMP2+TEMP3+TEMP4+TEMP5+TEMP6
     1     -SM(J)*(TK-TR)-TK*(TEMP7+TEMP8+TEMP9+TEMP10+TEMP11+TEMP12)
     2     -S14-S15-S16-S17-S18
      IF(NPTSP.EQ.15) GMPT(J)=GMPT(J)+HEAT4+HEAT5-HT4(K)-HT5(K)
     A+TK*HT4(K)/TT4(K)+TK*HT5(K)/TT5(K)
      IF(NPTSP.EQ.14) GMPT(J)=GMPT(J)+HEAT5-HT5(K)+TK*HT5(K)/TT5(K)
      HMPT(J)=HM(J)+C+CC+TEMP1+TEMP2+TEMP3+TEMP4+TEMP5+TEMP6
      IF(NPTSP.EQ.13) HMPT(J)=HMPT(J)+HT1(K)+HT2(K)+HT3(K)+HT4(K)+HT5(K)
      IF(NPTSP.EQ.15) HMPT(J)=HMPT(J)+HEAT4+HEAT5+HT1(K)+HT2(K)+HT3(K)
      IF(NPTSP.EQ.14) HMPT(J)=HMPT(J)+HEAT5+HT1(K)+HT2(K)+HT3(K)+HT4(K)
      SMPT(J)=SM(J)+TEMP7+TEMP8+TEMP9+TEMP10+TEMP11+TEMP12
     1     +HT1(K)/TT1(K)+HT2(K)/TT2(K)+HT3(K)/TT3(K)
     2     +HT4(K)/TT4(K)+HT5(K)/TT5(K)
      IF(NPTSP.EQ.14)SMPT(J)=SMPT(J)-HT5(K)/TT5(K)
      IF(NPTSP.EQ.15)SMPT(J)=SMPT(J)-HT5(K)/TT5(K)-HT4(K)/TT4(K)
      VOLM(J)=VRFTR(K)+VT1(K)+VT2(K)+VT3(K)+VT4(K)+VT5(K)
      IF(NPTSP.EQ.14)  VOLM(J)=VRFTR(K)+VT1(K)+VT2(K)+VT3(K)+VT4(K)
      IF(NPTSP.EQ.15) VOLM(J)=VRFTR(K)+VT1(K)+VT2(K)+VT3(K)
      CPPT(J)=CPFUN(AT5(K),BT5(K),CT5(K),DT5(K),ET5(K),0.0,TTK)
   40 CONTINUE
      TR=298.15
      TK=TKSAVE
C
      IF(IBUG.EQ.1) WRITE(*,*) '      EXITNG PHTRAN'
      RETURN
      END

