      SUBROUTINE CLAP     (K,L,TCK)
      IMPLICIT REAL*8 (A-H,O-Z)
      COMMON/MN/AM(10),BM(10),CM(10),DM(10),EM(10),HM(10),SM(10),
     1GM(10),HMPT(10),SMPT(10),GMPT(10),VOLM(10),CPPT(10)
      COMMON/TRAN/AT1(10),BT1(10),CT1(10),DT1(10),ET1(10),
     1HT1(10),TT1(10),VT1(10),AT2(10),BT2(10),CT2(10),DT2(10),ET2(10),
     2HT2(10),TT2(10),VT2(10),AT3(10),BT3(10),CT3(10),DT3(10),ET3(10),
     3HT3(10),TT3(10),VT3(10),AT4(10),BT4(10),CT4(10),DT4(10),ET4(10),
     4HT4(10),TT4(10),VT4(10),AT5(10),BT5(10),CT5(10),DT5(10),ET5(10),
     5HT5(10),TT5(10),VT5(10),SLOPE(10,10),VRFTR(10),
     6NOTR(10),NINI(20),NTR
      COMMON/COND/ P,TC,TK
      COMMON/BUG/IBUG
      INTEGER PLTUN,RXNUN,ICNUN,INPT
      REAL INVERT
      IF(IBUG.EQ.1) WRITE(*,*) ' ENTERING CLAP'
C
C     CALC CLAPYRON SLOPE OF UNIVARIANT PHASE TRANSITIONS AND
C     ADJUST T TRANS AS A FUNCTION OF PRESSURE
C
      IF(L.GE.2)  GO TO 3
      IF(SLOPE(K,L).EQ.0.0.AND.VT1(K).EQ.0.0) TCK=TT1(K)
      IF(SLOPE(K,L).EQ.0.0.AND.VT1(K).EQ.0.0) THEN
           IF(IBUG.EQ.1) WRITE(*,*) '      EXITNG CLAP'
           RETURN
           END IF
    3 CONTINUE
      IF(SLOPE(K,L).GT.0.0) GO TO 50
    5 CONTINUE
      GO TO (10,20,21,22,23),L
   10 CONTINUE
      HT=HT1(K)
      TT=TT1(K)
      ST=HT/TT
      VT=VT1(K)*0.023901488
      GO TO 30
   20 CONTINUE
      IF(SLOPE(K,L).EQ.0.0.AND.VT2(K).EQ.0.0) TCK=TT2(K)
      IF(SLOPE(K,L).EQ.0.0.AND.VT2(K).EQ.0.0) THEN
           IF(IBUG.EQ.1) WRITE(*,*) '      EXITNG CLAP'
           RETURN
           END IF
      HT=HT2(K)
      TT=TT2(K)
      ST=HT/TT
      VT=VT2(K)*0.023901488
      GO TO 30
   21 CONTINUE
      IF(SLOPE(K,L).EQ.0.0.AND.VT3(K).EQ.0.0) TCK=TT3(K)
      IF(SLOPE(K,L).EQ.0.0.AND.VT3(K).EQ.0.0) THEN
           IF(IBUG.EQ.1) WRITE(*,*) '      EXITNG CLAP'
           RETURN
           END IF
      ST=HT3(K)/TT3(K)
      VT=VT3(K)*0.023901488
      TT=TT3(K)
      GO TO 30
   22 CONTINUE
      IF(SLOPE(K,L).EQ.0.0.AND.VT4(K).EQ.0.0) TCK=TT4(K)
      IF(SLOPE(K,L).EQ.0.0.AND.VT4(K).EQ.0.0) THEN
             IF(IBUG.EQ.1) WRITE(*,*) '      EXITNG CLAP'
             RETURN
             END IF
      ST=HT4(K)/TT4(K)
      VT=VT4(K)*0.023901488
      TT=TT4(K)
      GO TO 30
   23 CONTINUE
      IF(SLOPE(K,L).EQ.0.0.AND.VT5(K).EQ.0.0) TCK=TT5(K)
      IF(SLOPE(K,L).EQ.0.0.AND.VT5(K).EQ.0.0) THEN
            IF(IBUG.EQ.1) WRITE(*,*) '      EXITNG CLAP'
            RETURN
            END IF
      ST=HT5(K)/TT5(K)
      VT=VT5(K)*0.023901488
      TT=TT5(K)
   30 CONTINUE
      DPDT=ST/VT
      INVERT=1.0/DPDT
      TCK=TT+INVERT*(P-1.0)
      IF(IBUG.EQ.1) WRITE(*,*) '      EXITNG CLAP'
      RETURN
   50 CONTINUE
      DPDT=1.0/SLOPE(K,L)
      IF(L.EQ.1) TT=TT1(K)
      IF(L.EQ.2) TT=TT2(K)
      IF(L.EQ.3)  TT=TT3(K)
      IF(L.EQ.4)  TT=TT4(K)
      IF(L.EQ.5)  TT=TT5(K)
      TCK=TT+DPDT*(P-1.0)
      IF(IBUG.EQ.1) WRITE(*,*) '      EXITNG CLAP'
      RETURN
      END
      SUBROUTINE TITLE(TITLF)
      IMPLICIT REAL*8 (A-H,O-Z)
      COMMON/COND/ P,TC,TK
      COMMON/SWIT/ KK
      COMMON/HEAD/TITL(10),LNAME(20,4),AN(20)
      COMMON/OMG/OMEGA5(10)
      COMMON/DEX/IND(20),CPLIM(20),MIND(10),IIND(10),IGND(10)
      COMMON/PNCH/ IPUN
      COMMON/PRIN/ICON,IGAS,ISW,NPT
      COMMON/TRAN/AT1(10),BT1(10),CT1(10),DT1(10),ET1(10),
     1HT1(10),TT1(10),VT1(10),AT2(10),BT2(10),CT2(10),DT2(10),ET2(10),
     2HT2(10),TT2(10),VT2(10),AT3(10),BT3(10),CT3(10),DT3(10),ET3(10),
     3HT3(10),TT3(10),VT3(10),AT4(10),BT4(10),CT4(10),DT4(10),ET4(10),
     4HT4(10),TT4(10),VT4(10),AT5(10),BT5(10),CT5(10),DT5(10),ET5(10),
     5HT5(10),TT5(10),VT5(10),SLOPE(10,10),VRFTR(10),
     6NOTR(10),NINI(20),NTR
      COMMON/NMBR1/ NM,NI,NG,NW,NIT,NMT,NGT,NP,NPW
      COMMON/NMBR2/IL
      COMMON/IO/PLTUN,RXNUN,ICNUN,INPT
      COMMON/BUG/IBUG
      COMMON/END/NCURV
      COMMON/GASS/ANG(2),XCO2,GASCOF(2),ISOL
      INTEGER PLTUN,RXNUN,ICNUN,INPT,TITLF
      IF(IBUG.EQ.1) WRITE(*,*) ' ENTERING TITLE'
C######   flag to prevent multiple title writes to plot file
      IF(NG.NE.0)WRITE(3,344)(I,IND(NM-NTR+NI+I),I=1,NG)
      WRITE(3,341) (TITL(I),I=1,10)
  341 FORMAT(1H1,10X,100(1H-),/,20X,10A8,/,11X,100(1H-),//)
C######   Write title to plot data file.  --crk, 9 Oct 85
      IF (TITLF.NE.1)  THEN
       WRITE(PLTUN,349) ICON,(TITL(I),I=1,9)
       IF(NCURV.EQ.1.AND.ISOL.NE.3) WRITE(PLTUN,*) ' T(C)   P(bars)'
       IF(NCURV.EQ.1.AND.ISOL.EQ.3) WRITE(PLTUN,*) ' T(C)   X(CO2)'
       IF(NCURV.EQ.0.AND.NI.NE.O) WRITE(PLTUN,350)
       IF(NCURV.EQ.0.AND.NI.EQ.O) WRITE(PLTUN,351)
       TITLF = 1
      ENDIF
  349 FORMAT(/1X,I1,1X,9A8,)
  350 FORMAT('   P      T      dCp(T,P)',
     1'    dH(T,P)     dS(T,P)     dG(T,P)    logK(T,P)  dV(T,P)',
     2'     fug.coefficient(s)')
  351 FORMAT('   P      T      dCp(T,P)',
     1'    dH(T,P)     dS(T,P)     dG(T,P)     lnK(T,P)  dV(T,P)',
     2'     fug.coefficient(s)')
      IF(NG.NE.0) GO TO 342
      IF(NW.NE.0) GO TO 345
      IF(NI.NE.0) GO TO 445
      IF(IGAS.EQ.0) WRITE(3,340)
  340 FORMAT(/,1X,12HPRES  (BARS),3X,12HTEMP (DEG C),5X,8HDELTA CP,6X,12
     AHDELTA H(T,P),4X,12HDELTA S(T,P),4X,12HDELTA G(T,P),5X,10H LN K(T,
     BP),5X,12HDELTA V(T,P),/,1X,12(1H-),3X,12(1H-),3X,12(1H-),4X,12(1H-
     C),4X,12(1H-),4X,12(1H-),5X,10(1H-),5X,12(1H-))
      IF(IBUG.EQ.1) WRITE(*,*) '      EXITING TITLE1, IGAS= ',IGAS
      RETURN
  345 WRITE(3,339)
  339 FORMAT(/,1X,11HPRES (BARS),3X,12HTEMP (DEG C),4X,8HDELTA CP,5X,12H
     ADELTA H(T,P),3X,12HDELTA S(T,P),3X,12HDELTA G(T,P),4X,10H LN K(T,P
     B),4X,12HDELTA V(T,P),3X,8HFUGACITY,/,1X,11(1H-),3X,12(1H-),2X,12(1
     CH-),3X,12(1H-),3X,12(1H-),3X,12(1H-),4X,10(1H-),4X,12(1H-),3X,8(1H
     D-))
      IF(IBUG.EQ.1) WRITE(*,*) '      EXITING TITLE2, IGAS= ',IGAS
      RETURN
  445 WRITE(3,439)
  439 FORMAT(/,1X,11HPRES (BARS),3X,12HTEMP (DEG C),4X,8HDELTA CP,5X,12H
     ADELTA H(T,P),3X,12HDELTA S(T,P),3X,12HDELTA G(T,P),4X,10HLOG K(T,P
     B),4X,12HDELTA V(T,P),3X,8HFUGACITY,/,1X,11(1H-),3X,12(1H-),2X,12(1
     CH-),3X,12(1H-),3X,12(1H-),3X,12(1H-),4X,10(1H-),4X,12(1H-),3X,8(1H
     D-))
      IF(IBUG.EQ.1) WRITE(*,*) '      EXITING TITLE3, IGAS= ',IGAS
      RETURN
  342 WRITE(3,343)
  343 FORMAT(/,1X,11HPRES (BARS),3X,12HTEMP (DEG C),4X,8HDELTA CP,6X,12H
     ADELTA H(T,P),4X,12HDELTA S(T,P),4X,12HDELTA G(T,P),5X,10H LN K(T,P
     B),5X,12HDELTA V(T,P),2X,8HFUG COEF,/,1X,11(1H-),3X,12(1H-),2X,12(1
     CH-),4X,12(1H-),4X,12(1H-),4X,12(1H-),5X,10(1H-),5X,12(1H-),2X,8(1H
     D-))
344   FORMAT(//,40X,11H GAS NUMBER,I3,3H = ,I5)
      IF(IBUG.EQ.1) WRITE(*,*) '      EXITING TITLE4, IGAS= ',IGAS
      RETURN
      END
      SUBROUTINE GAS
      IMPLICIT REAL*8 (A-H,O-Z)
      COMMON/COND/ P,TC,TK
      COMMON/NMBR1/NM,NI,NG,NW,NIT,NMT,NGT,NP,NPW
      COMMON/NMBR2/IL
      COMMON/GZ/ AG(5),BG(5),CG(5),HG(5),SG(5),GG(5),HGPT(5),SGPT(5),
     A GGPT(5),VG(5),DG(5),EG(5)
      COMMON/DEX/IND(20),CPLIM(20),MIND(10),IIND(10),IGND(10)
      COMMON /HEAD/  TITL(10),LNAME(20,4),AN(20)
      COMMON/FUG/  GFUG(5),GAMMO(5)
      COMMON /FCF/ CHI
      COMMON/TRAN/AT1(10),BT1(10),CT1(10),DT1(10),ET1(10),
     1HT1(10),TT1(10),VT1(10),AT2(10),BT2(10),CT2(10),DT2(10),ET2(10),
     2HT2(10),TT2(10),VT2(10),AT3(10),BT3(10),CT3(10),DT3(10),ET3(10),
     3HT3(10),TT3(10),VT3(10),AT4(10),BT4(10),CT4(10),DT4(10),ET4(10),
     4HT4(10),TT4(10),VT4(10),AT5(10),BT5(10),CT5(10),DT5(10),ET5(10),
     5HT5(10),TT5(10),VT5(10),SLOPE(10,10),VRFTR(10),
     6NOTR(10),NINI(20),NTR
      COMMON/GASS/ANG(2),XCO2,GASCOF(2),ISOL
      COMMON/BUG/IBUG
      IF(IBUG.EQ.1) WRITE(*,*) ' ENTERING GAS'
      TR=298.15
      DO 10 I=1,NG
C
C
      SGPT(I)=SG(I)+SFUN(AG(I),BG(I),CG(I),DG(I),EG(I),TR,TK)
C
      HGPT(I)=HG(I)+HFUN(AG(I),BG(I),CG(I),DG(I),EG(I),TR,TK)
C
      GGPT(I)=   GG(I)-   SG(I)*(TK-TR)-
     ATK*SFUN(AG(I),BG(I),CG(I),DG(I),EG(I),TR,TK)
     C+HFUN(AG(I),BG(I),CG(I),DG(I),EG(I),TR,TK)
      IF(ISOL.EQ.3) GO TO 11
      IF(IND(NM-NTR+NI+I).NE.1301) GO TO 11
    9 CONTINUE
      GAMMO(I)=CHI
      GASCOF(1)=CHI
      GO TO 10
   11 CONTINUE
      INX=IND(NM-NTR+NI+I)-1300
      CALL FCOEFF(TK,P,INX,GAMMA)
      GAMMO(I)=GAMMA
      IF(ISOL.EQ.2)GASCOF(1)=GAMMA
   10 CONTINUE
      IF(IBUG.EQ.1) WRITE(*,*) '      EXITING GAS'
      RETURN
      END
      SUBROUTINE FCOEFF(TK,P,INX,GAMMA)
      IMPLICIT REAL*8 (A-H,O-Z)
      COMMON/CRIT/ TCRIT(9),PCRIT(9)
      COMMON/GASS/ANG(2),XCO2,GASCOF(2),ISOL
      COMMON/BUG/IBUG
      IF(IBUG.EQ.1) WRITE(*,*) ' ENTERING FCOEFF INX, T& P= ',INX,TK,P
      IF(P.LT.100.) GO TO 11
      NGAS=20
      DO 10 J=1,NGAS
      JJ=J
      IF(INX.EQ.3) GO TO 40
C  THE FOLLOWING SET CALLS KERJAK IF TC BETWEEN 325 AND 1050 DEGREES
C  OTHERWISE CALLS REDKW.  SETS XCO2 AND XH2O TO 1 IF ISOL NOT 3.
C  THIS MAY RESULT IN ODDITIES FOR MIXED H2O-CO2 REACTIONS WITH ISOL=2
      IF(INX.EQ.5) THEN
          IF(ISOL.NE.3) XCO2=1.0
          IF(P.LT.600.AND.TK.LT.640.) GO TO 20
          IF(P.LT.200.AND.TK.LT.685.) GO TO 20
          IF(TK.GT.598.AND.TK.LT.1323.15) GO TO 50
          END IF
      IF(INX.EQ.1) THEN
          IF(ISOL.NE.3) XCO2=0.0
          IF(P.LT.600.AND.TK.LT.640.) GO TO 60
          IF(P.LT.200.AND.TK.LT.685.) GO TO 60
          IF(TK.GT.598.AND.TK.LT.1323.15) GO TO 60
          END IF
      IF(INX.EQ.J) GO TO 20
   10 CONTINUE
   11 CONTINUE
      GAMMA=1.0
      IF(IBUG.EQ.1) WRITE(*,*) '      EXITING FCOEFF'
      RETURN
   20 CONTINUE
      TCC=TCRIT(JJ)
      PCC=PCRIT(JJ)
      CALL REDKW(TK,P,TCC,PCC,GAMMA,INX)
      IF(IBUG.EQ.1) WRITE(*,*) '      EXITING FCOEFF'
      RETURN
   40 CALL H2COEF(P,TK,GAMMA)
      IF(IBUG.EQ.1) WRITE(*,*) '      EXITING FCOEFF'
      RETURN
   50 CALL KERJAK(TK,P,XCO2,GAMA1,GAMA2)                                02175000
      GAMMA=GAMA1                                                       02176000
      GASCOF(1)=GAMA1                                                   02177000
      IF(IBUG.EQ.1) WRITE(*,*) '      EXITING FCOEFF'
      RETURN                                                            02178000
   60 CALL KERJAK(TK,P,XCO2,GAMA1,GAMA2)                                02179000
      GAMMA=GAMA2                                                       02180000
      GASCOF(2)=GAMA2                                                   02181000
      IF(IBUG.EQ.1) WRITE(*,*) '      EXITING FCOEFF'
      RETURN                                                            02182000
      END
      SUBROUTINE REDKW (T,P,TC,PC,FP,INX)
      IMPLICIT REAL*8 (A-H,O-Z)
      COMMON/BUG/IBUG
      IF(IBUG.EQ.1) WRITE(*,*) ' ENTERING REDKW'
C     CALC FUGACITY COEFF FROM CORRESPONDING STATE VERSION OF REDLICH-
C     KWONG EQUATION.  METHOD FROM W.C. EDMISTER, HYDROCARBON PROCESSING
C     V. 47, P. 239, SEPT., 1968.
C     T IS IN DEG. KELVIN, P IS IN BARS, TC IS CRITICAL TEMP IN DEG.
C     KELVIN, PC IS CRITICAL PRESSURE IN BARS.  FP IS THE FUGACITY
C     COEFFICIENT (DIMENSIONLESS).
C     USES LARGEST VALUE OF THREE ROOTS IN SOLUTIN FOR Z AT HIGH P AND T
C       RETURNS VALUE OF 1.0 FOR FP WHEN ANY ARGUEMENTS OUT OF RANGE.
C     SUBROUTINE WRITTEN BY HOLLAWAY 1973
C     MODIFIED FOR CO2 BY HOLLAWAY 1977
C
      ICO2=5
      TCEL=T-273.15
      IF(INX.NE.ICO2) GO TO 3
      A=73.03-0.0714*TCEL+2.157E-5*TCEL*TCEL
      A=A*10.E5
      A2B=A/(2436.885*T**1.5)
      B=0.36197/T
      GO TO 4
    3 CONTINUE
      B=0.0867*TC/(PC*T)
      A2B=0.4278*TC**2.5/(B*PC*T**2.5)
    4 CONTINUE
      BP=B*P
      IF(INX.EQ.ICO2)BP=B*(P/1.01325)
      TH = 1. / 3.
      IF(A2B.LE.0.0) A2B = 0.001
      RR = -A2B * BP * BP
      QQ = BP * (A2B - BP - 1.0)
      XN = (QQ/3.) + RR - (2./27.)
      XM = QQ - 1. / 3.
      ARG =((XN*XN) / 4.) + (XM*XM*XM/27.)
      IF(ARG.GT.0.0) GO TO 5
      IF(ARG.LT.0.0) GO TO 15
      FP = 1.0
      IF(IBUG.EQ.1) WRITE(*,*) '      EXITING REDKW'
      RETURN
   15 COSPHI = DSQRT((XN*XN/4.) / (-XM*XM*XM/27.))
      IF(XN.GT.0.0) COSPHI = -COSPHI
      TANPHI = DSQRT(1.-COSPHI*COSPHI) / COSPHI
      PHI = DATAN(TANPHI)/ 3.0
      FAC = 2. * DSQRT(-XM/3.)
      R1 = FAC *DCOS(PHI)
      R2 = FAC * DCOS(PHI + 120.)
      R3 = FAC * DCOS(PHI + 240.)
      PHI = 3. * PHI
C     SORT FOR LARGEST ROOT
      RH = R2
      IF(R1.GT.R2) RH = R1
      IF(R3.GT.RH) RH = R3
      Z = RH + TH
      GO TO 20
    5 X = DSQRT(ARG)
      F = 1.0
      XN2 = -XN / 2.
      XMM = XN2 + X
      IF(XMM.LT.0.0) F = -1.0
      XMM = F * ((F * XMM) **TH)
      F = 1.0
      XNN = XN2 - X
      IF(XNN.LT.0.0) F = -1.0
      XNN = F * ((F * XNN) ** TH)
      Z = XMM + XNN + TH
C     Z, THE COMPRESSIBILITY FACTOR, COULD BE RETURNED AT THIS POINT.
   20 ZBP = Z - BP
      BPZ = 1.0 + BP / Z
      IF(ZBP.LE.0.0.OR.BPZ.LE.0.0) FP = 1.0
      IF(ZBP.LE.0.0.OR.BPZ.LE.0.0) THEN
            IF(IBUG.EQ.1) WRITE(*,*) '      EXITING REDKW'
            RETURN
            END IF
C     HERE FP = LOG(E) OF THE FUGACITY COEFFICIENT
      FP = Z - 1.0 - DLOG(ZBP) - A2B * DLOG(BPZ)
      FP = DEXP(FP)
      IF(IBUG.EQ.1) WRITE(*,*) '      EXITING REDKW'
      RETURN
      END
      SUBROUTINE H2COEF(P,T,FP)
      IMPLICIT REAL*8 (A-H,O-Z)
      COMMON/BUG/IBUG
      IF(IBUG.EQ.1) WRITE(*,*) ' ENTERING H2COEF'
C
C     CALCULATES THE FUGACITY COEFF FOR H2 FROM SHAW AND WONES (1964).
C     SUBROUTINE WRITTEN BY HOLLAWAY 1973
C
      C1 = DEXP(-3.8402 * T **(1./8.) + .5410)
      C2 = DEXP(-0.1263 * T **(0.5) - 15.980)
      C3 = 300. * DEXP(-0.011901 * T - 5.941)
      FP = C1 * P - C2 * P * P + C3 * (DEXP(-P / 300.) - 1.)
      FP = DEXP(FP)
C
      IF(IBUG.EQ.1) WRITE(*,*) '      EXITING H2GOEF'
      RETURN
      END
      SUBROUTINE PTGET (ISTP)                                           02273000
      IMPLICIT REAL*8 (A-H,O-Z)
      COMMON/CEX/PQ,TS,NRO                                              02274000
      COMMON/NMBR1/NM,NI,NG,NW,NIT,NMT,NGT,NP,NPW                       02275000
      COMMON/NMBR2/IL
      COMMON/SH/TSAV                                                    02276000
      COMMON/PRIN/ICON,IGAS,ISW,NPT                                     02277000
      COMMON/COND/ P,TC,TK                                              02278000
      COMMON/TPSET/PMIN,PMAX,PINC,TMIN,TMAX,TINC,PPMAX                  02279000
      COMMON/BUG/IBUG
      COMMON/IO/PLTUN,RXNUN,ICNUN,INPT
      INTEGER PLTUN,RXNUN,ICNUN,INPT
      IF(IBUG.EQ.1) WRITE(*,*) ' ENTERING PTGET'
      IF(ICON.NE.0) GO TO 103                                           02280000
      IF(INPT.EQ.2)GO TO 200
      READ(RXNUN,*)ICON
      GO TO 600
  200 WRITE(*,1000)                                                     02281000
 1000 FORMAT(' SET ICON (INTEGER)'/                                     02282000
     1/' 1=INCREMENT P AND T AND PRINT ISOBARIC TABLES'                 02283000
     2/' 2=INCREMENT P AND T AND PRINT ISOTHERMAL TABLES'               02284000
     3/' 3=ISOCHORIC TABLES...DO NOT USE--WON''T WORK!!'                02285000
     4/' 4=INCREMENT ALONG LIQ-VAP EQM CURVE FOR H20 FROM 0-370 DEG. C' 02286000
     5/' 5=INCREMENT P AND T  AND PRINT RESULTS FOR ALL P AND T'        02287000
     6/' 6=READ P-T LIST AND PRINT RESULTS FOR ALL P AND T'/)           02288000
      READ(*,*) ICON                                                    02289000
C                                                                       02290000
C                                                                       02291000
C     ICON                                                              02292000
C      1 = ISOBARIC TABLES                                              02293000
C      2 = ISOTHERMAL TABLES                                            02294000
C      3 = ISOCHORIC TABLES (DO NOT USE -- WON*T WORK)                  02295000
C      4 = SATURATION TABLES                                            02296000
C        5 = COMBINED TABLES                                            02297000
C        6 = READ IN P,T TABLES                                         02298000
C                                                                       02299000
C     UNIT  --  UNITS OF OUTPUT                                         02300000
C      1 = THERMOCHEMICAL CALORIES                                      02301000
C      2 = INTERNATIONAL CALORIES                                       02302000
C      3 = ABSOLUTE JOULES                                              02303000
C                                                                       02304000
C     IORIG  --  ENERGIES CALC FROM                                     02305000
C      1 = TRIPLE POINT OF H2O (0.01 DEG C + 0.00611 BARS)              0230S000
C      2 = 25 DEG C + 1 BAR                                             02307000
C      3 = 0.0 DEG K + 1 BAR                                            02308000
C                                                                       02309000
C     MOLE                                                              02310000
C      1 = OUTPUT ENERGY PER MOLE                                       02311000
C      2 = OUTPUT ENERGY PER GRAM                                       02312000
C                                                                       02313000
  600 CONTINUE
      GO TO (6,6,5,7,6,130), ICON
    5 WRITE(*,1069)                                                     02316000
 1069 FORMAT(1H1,10X,47HISOCHORIC OPTION DOES NOT WORK - ICON = 3 IS NG/02317000
     A)                                                                 02318000
      GO TO 200                                                         02319000
    6 IF(INPT.EQ.2)GO TO 33
      READ(RXNUN,*)PMIN,PMAX,PINC,TMIN,TMAX,TINC
      GO TO 34
   33 WRITE(*,1010)                                                     02320000
 1010 FORMAT(' SET PMIN,PMAX,PINCREMENT (BARS),TMIN,TMAX AND TINC'      02321000
     1/' (DEGREES C). THESE ARE REAL NUMBERS!'                          02322000
     2/' **IF LIQ H2O IN REACTION, TMAX MUST BE LESS THAN 1000.0**'/)   02323000
      READ(*,*)PMIN,PMAX,PINC,TMIN,TMAX,TINC                            02324000
C
C     IF PMAX IS GREATER THAN 10 KB CALL HYDROFUN FOR HIGH PRESSURE DATA
C
   34 CONTINUE
      PPMAX=PMAX
      IF(NW.EQ.0.OR.PMAX.LT.10000.) GO TO 66
   60 CONTINUE
      PMAX=10000.
      NS=1
   66 CONTINUE
      NRO=2
      GO TO 8
    7 TMIN=0.0
      TMAX=374.0
      IF(INPT.EQ.2)GO TO 35
      READ(RXNUN,*) TINC
      GO TO 8
   35 CONTINUE
      WRITE(*,1080)                                                     02342000
1080  FORMAT(' SET T INCREMENT     ')                                   02343000
      READ(*,*) TINC                                                    02344000
    8 CONTINUE                                                          02345000
      NPT=0
      GO TO(9,19,5,39,119),ICON
C
C     ICON = 1   INCREMENT T AT PCONST
C
    9 CONTINUE
      P=PMIN-PINC
   10 CONTINUE
      NPT=0
      P=P+PINC
      IF(P.GT.PMAX.AND.NS.EQ.0) GO TO 99
      IF(P.GT.PPMAX.AND.NP.EQ.1) GO TO 99
      IF(P.LT.PMAX.OR.NS.NE.1) GO TO 462
   98 PMAX=PPMAX
      NP=1
  462 CONTINUE
      PQ=P
      T=1.0
      TS=1.0
      TS=TMIN-TINC
   15 TS=TS+TINC
      T=TS+273.15
      GO TO 50
C
C     ICON = 2     INCREMENT P AT TCONST
C
   19 CONTINUE
      TS=TMIN-TINC
   20 CONTINUE
      NPT=0
      TS=TS+TINC
      IF(TS.GT.TMAX) GO TO 99
      P=PMIN-PINC
   25 P=P+PINC
      PQ=P
      T=TS+273.15
      GO TO 50
C
C     ICON = 4    INCREMENT T AT PSATURATION
C
   39 CONTINUE
      NPT=0
      NRO=2
      TS=TMIN-TINC
   40 CONTINUE
      TS=TS+TINC
      IF(TS.GT.TMAX) GO TO 99
      T=TS+273.15
      PQ=PSAT(TS,DUMMY)
      GO TO 50
C
C     ICON=5  ALL P + T POINTS UNDER ONE SET OF HEADINGS
C        ( ALL POINTS ON ONE PAGE UP TO ABOUT 50 POINTS)
C
  119 CONTINUE
      NPT=0
      TS=TMIN-TINC
  120 CONTINUE
      TS=TS+TINC
      IS=1
      IF(TS.GT.TMAX) GO TO 99
      P=PMIN-PINC
  125 P=P+PINC
      T=TS+273.15
      PQ=P
      GO TO 50
C
C     ICON = 6   READ IN P,T -- ALL PRINTED UNDER ONE SET OF HEADINGS
C
  130 CONTINUE
      NPT=0
      NRO=2
  131 WRITE(*,1090)                                                     02419000
 1090 FORMAT(' LIST A P,T PAIR AS REAL NUMBERS. TYPE -1.0 TO QUIT  ')   02420000
      READ(*,*) P,TS                                                    02421000
      IF(P.LT.0.0) GO TO 99
      IF(NW.NE.1.OR.P.LT.10000.) GO TO 666
  660 NP=1
  666 PQ=P
      T=TS+273.15
C
   50 CONTINUE
      NPT=NPT+1
      P=PQ
      TC=TS
      TK=TC+273.15
C
C     PRINT TITLES FOR TABLES IF APPROPRIATE
C
      IF(IBUG.EQ.1) WRITE(*,*) '      EXITING PTGET P,T= ',P,TC
      RETURN
  103 CONTINUE
      TSAV=TK
      GO TO (61,62,5,40,64,131), ICON
   61 IF(TS.GE.TMAX) GO TO 10
      GO TO 15
   62 IF(NS.EQ.0) GO TO 2001
      IF(NP.EQ.1.AND.PQ.GE.PPMAX) GO TO 20
  250 IF(NS.NE.1.OR.PQ.LT.PMAX) GO TO 25
   97 PMAX=PPMAX
      NP=1
      GO TO 25
 2001 IF(PQ.GE.PMAX)GO TO 20
      GO TO 25
   64 IF(NS.EQ.0) GO TO 201
      IF(NP.EQ.1.AND.PQ.GE.PPMAX) GO TO 120
  251 IF(NS.NE.1.OR.PQ.LT.PMAX) GO TO 125
   96 PMAX=PPMAX
      NP=1
      GO TO 125
  201 IF(PQ.GE.PMAX)GO TO 120
      GO TO 125
   99 ISTP=1
      ISKIP=1
      IF(IBUG.EQ.1) WRITE(*,*) '      EXITING PTGET'
      RETURN
      END
